| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | List of all members
GaudiPython.Bindings.iService Class Reference
Inheritance diagram for GaudiPython.Bindings.iService:
[legend]
Collaboration diagram for GaudiPython.Bindings.iService:
[legend]

## Public Member Functions
def | __init__ (self, name, isvc=None)
def | retrieveInterface (self)
def | isValid (self)
Public Member Functions inherited from GaudiPython.Bindings.iProperty
def | __init__ (self, name, ip=None)
def | getInterface (self)
def | retrieveInterface (self)
def | __call_interface_method__ (self, ifname, method, args)
def | __setattr__ (self, name, value)
def | __getattr__ (self, name)
def | properties (self)
def | name (self)

## Static Public Attributes
| initialize = lambdaself:self.__call_interface_method__("_isvc","initialize")
| start = lambdaself:self.__call_interface_method__("_isvc","start")
| stop = lambdaself:self.__call_interface_method__("_isvc","stop")
| finalize = lambdaself:self.__call_interface_method__("_isvc","finalize")
| reinitialize = lambdaself:self.__call_interface_method__("_isvc","reinitialize")
| restart = lambdaself:self.__call_interface_method__("_isvc","restart")

## Detailed Description

    Python equivalent to IProperty interface

Definition at line 293 of file Bindings.py.

## Constructor & Destructor Documentation

def GaudiPython.Bindings.iService.__init__ | ( |  | self,
|  |  | name,
|  |  | isvc = `None`
| ) |  |

Definition at line 295 of file Bindings.py.

295 def __init__(self, name, isvc = None ) :
296 iProperty.__init__(self, name, isvc )
297 if isvc : self.__dict__['_isvc'] = InterfaceCast(gbl.IService)(isvc)
298 else : self.__dict__['_isvc'] = None
GaudiPython.Bindings.iService.__init__
def __init__(self, name, isvc=None)
Definition: Bindings.py:295
GaudiPython.Bindings.InterfaceCast
Definition: Bindings.py:86

## Member Function Documentation

def GaudiPython.Bindings.iService.isValid | ( |  | self | ) |

Definition at line 308 of file Bindings.py.

308 def isValid(self) :
309 if self._isvc: return True
310 else : return False
311
312 #----iAlgorithm class---------------------------------------------------------------------
GaudiPython.Bindings.iService.isValid
def isValid(self)
Definition: Bindings.py:308

def GaudiPython.Bindings.iService.retrieveInterface | ( |  | self | ) |

Definition at line 299 of file Bindings.py.

299 def retrieveInterface(self) :
300 isvc = Helper.service(self._svcloc,self._name)
301 if isvc : iService.__init__(self, self._name, isvc)
GaudiPython.Bindings.iService.retrieveInterface
def retrieveInterface(self)
Definition: Bindings.py:299

## Member Data Documentation

GaudiPython.Bindings.iService.finalize = lambdaself:self.__call_interface_method__("_isvc","finalize")
| static

Definition at line 305 of file Bindings.py.

GaudiPython.Bindings.iService.initialize = lambdaself:self.__call_interface_method__("_isvc","initialize")
| static

Definition at line 302 of file Bindings.py.

GaudiPython.Bindings.iService.reinitialize = lambdaself:self.__call_interface_method__("_isvc","reinitialize")
| static

Definition at line 306 of file Bindings.py.

GaudiPython.Bindings.iService.restart = lambdaself:self.__call_interface_method__("_isvc","restart")
| static

Definition at line 307 of file Bindings.py.

GaudiPython.Bindings.iService.start = lambdaself:self.__call_interface_method__("_isvc","start")
| static

Definition at line 303 of file Bindings.py.

GaudiPython.Bindings.iService.stop = lambdaself:self.__call_interface_method__("_isvc","stop")
| static

Definition at line 304 of file Bindings.py.

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/Bindings.py